# $Revision: 1.195 $, $Date: 2012/06/18 12:00:22 $
# TODO:
# - put imap-ssl and pop3-ssl to separate packages - some want to have
#   ssl-only system (or non-ssl only system)
#   see also http://thread.gmane.org/gmane.linux.pld.devel.english/2509/focus=2509
# - fix manpages:
#    [set $man.base.url.for.relative.links]/maildirquota.html
#
# Conditional build:
%bcond_with	toplevel	# Allow toplevel folders. More info: http://www.ricky-chan.co.uk/courier/
%bcond_without	fam		# FAM for enhanced IMAP IDLE and locking

Summary:	Courier-IMAP server
Summary(pl.UTF-8):	Serwer Courier-IMAP
Name:		courier-imap
Version:	4.10.0
Release:	1
License:	GPL
Group:		Networking/Daemons
Source0:	http://downloads.sourceforge.net/courier/%{name}-%{version}.tar.bz2
# Source0-md5:	2f95c99b9ad1380b9f3ac733ccd741a2
Source1:	%{name}.init
Source2:	%{name}-ssl.init
Source3:	%{name}-pop3.init
Source4:	%{name}-pop3-ssl.init
Source5:	%{name}.pamd
Source6:	%{name}-pop3.pamd
Patch0:		%{name}-dirs.patch
Patch1:		%{name}-certsdir.patch
Patch2:		%{name}-maildir.patch
Patch3:		%{name}-toplevel.patch
Patch4:		%{name}-drop-makedat.patch
URL:		http://www.courier-mta.org/imap/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
BuildRequires:	courier-authlib-devel >= 0.61
BuildRequires:	db-devel
BuildRequires:	gdbm-devel
BuildRequires:	gnet-devel
BuildRequires:	libidn-devel
%{?with_fam:BuildRequires:	gamin-devel}
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
BuildRequires:	procps
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
BuildRequires:	sysconftool
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-common = %{version}-%{release}
Requires:	/sbin/chkconfig
Requires:	pam >= 0.79.0
Requires:	rc-scripts
Provides:	imapdaemon
Obsoletes:	imapdaemon
Conflicts:	cyrus-imapd
Conflicts:	imap
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	/usr/%{_lib}/courier-imap
%define		_sysconfdir	/etc/courier-imap
%define		_certsdir	%{_sysconfdir}/certs
%define		_localstatedir	/var/spool/courier-imap

%description
Courier-IMAP is an IMAP server for Maildir mailboxes.

%description -l pl.UTF-8
Courier-IMAP jest serwerem IMAP dla skrzynek pocztowych Maildir.

%package common
Summary:	Common files for imap and pop3 daemons
Summary(pl.UTF-8):	Pliki wspólne dla serwerów imap i pop3
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	/sbin/chkconfig
Requires:	courier-authlib
Requires:	procps
Requires:	rc-scripts

%description common
Common files for imap and pop3 daemons.

%description common -l pl.UTF-8
Pliki wspólne dla serwerów imap i pop3.

%package deliverquota
Summary:	Deliver to a Maildir with a quota
Summary(pl.UTF-8):	Obsługa quoty przy dostarczaniu poczty do skrzynek Maildir
Group:		Networking/Daemons

%description deliverquota
deliverquota is a temporary hack to implement E-mail delivery to a
Maildir with a software-imposed quota.

%description deliverquota -l pl.UTF-8
deliverquota jest tymczasowym rozwiązaniem implementującym
dostarczanie e-maili do skrzynek Maildir z programowo narzuconą quotą.

%package maildirmake
Summary:	Tool for making mail folders in Maildir format
Summary(pl.UTF-8):	Narzędzie do tworzenia folderów w formacie Maildir
Group:		Networking/Daemons
Conflicts:	qmail-maildirmake

%description maildirmake
Maildirmake is a tool for making mail folders in Maildir format.

%description maildirmake -l pl.UTF-8
Maildirmake jest narzędziem do tworzenia folderów pocztowych w
formacie Maildir.

%package pop3
Summary:	Courier-IMAP POP3 Server
Summary(pl.UTF-8):	Serwer Courier-IMAP POP3
Group:		Networking/Daemons/POP3
Requires:	%{name}-common = %{version}-%{release}
Requires:	pam >= 0.79.0
Provides:	pop3daemon
Obsoletes:	pop3daemon
Conflicts:	cyrus-imapd
Conflicts:	imap-pop3
Conflicts:	solid-pop3d
Conflicts:	tpop3d

%description pop3
Courier-IMAP POP3 is an POP3 server for Maildir mailboxes.

%description pop3 -l pl.UTF-8
Courier-IMAP POP3 jest serwerem POP3 dla skrzynek pocztowych Maildir.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%if %{with toplevel}
%patch3 -p1
%endif
%patch4 -p1

cp -p %{SOURCE1} courier-imap.in
cp -p %{SOURCE2} courier-imap-ssl.in
cp -p %{SOURCE3} courier-pop3.in
cp -p %{SOURCE4} courier-pop3-ssl.in
rm -f makedat/configure.in

%build
# Change Makefile.am files and force recreate Makefile.in's.
find -type f -a '(' -name configure.in -o -name configure.ac ')' | while read FILE; do
	cd "$(dirname "$FILE")"

	if [ -f Makefile.am ]; then
		%{__sed} -i -e '/_[L]DFLAGS=-static/d' Makefile.am
	fi

	%{__libtoolize}
	%{__aclocal}
	%{__autoconf}
	if grep -q AC_CONFIG_HEADER configure.in; then
		%{__autoheader}
	fi
	%{__automake}

	cd -
done

%if %{without fam}
ac_cv_header_fam_h=no \
ac_cv_lib_fam_FAMOpen=no \
%endif
%configure \
	--with-db=db \
	--enable-unicode \
	--with-authchangepwdir=/var/tmp \
	--with-certsdir=%{_certsdir} \
	--with-mailer=/usr/lib/sendmail

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{pam.d,rc.d/init.d,security},%{_certsdir}}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

install -p courier-imap $RPM_BUILD_ROOT/etc/rc.d/init.d/courier-imap
install -p courier-imap-ssl $RPM_BUILD_ROOT/etc/rc.d/init.d/courier-imap-ssl
install -p courier-pop3 $RPM_BUILD_ROOT/etc/rc.d/init.d/courier-pop3
install -p courier-pop3-ssl $RPM_BUILD_ROOT/etc/rc.d/init.d/courier-pop3-ssl
cp -p %{SOURCE5} $RPM_BUILD_ROOT/etc/pam.d/imap
cp -p %{SOURCE6} $RPM_BUILD_ROOT/etc/pam.d/pop3

rm -rf $RPM_BUILD_ROOT%{_sbindir}/mk*cert

cp -pf imap/README README.imap
cp -pf imap/ChangeLog ChangeLog
cp -pf maildir/README.maildirquota.txt README.maildirquota

mv -f $RPM_BUILD_ROOT%{_datadir}/mk*cert $RPM_BUILD_ROOT%{_sbindir}

cp -p tcpd/couriertls.1 $RPM_BUILD_ROOT%{_mandir}/man8/couriertls.8
cp -p imap/courierpop3d.8 $RPM_BUILD_ROOT%{_mandir}/man8/courierpop3d.8

touch $RPM_BUILD_ROOT/etc/security/blacklist.{pop3,imap}
touch $RPM_BUILD_ROOT%{_sysconfdir}/shared/index

# make config files
./sysconftool $RPM_BUILD_ROOT%{_sysconfdir}/*.dist

# set yes to start imapd and pop3d
sed -i 's/^POP3DSTART.*/POP3DSTART=YES/' $RPM_BUILD_ROOT%{_sysconfdir}/pop3d
sed -i 's/^IMAPDSTART.*/IMAPDSTART=YES/' $RPM_BUILD_ROOT%{_sysconfdir}/imapd

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/*.dist

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add courier-imap
/sbin/chkconfig --add courier-imap-ssl
%service courier-imap restart "courier-imap daemon"
%service courier-imap-ssl restart "courier-imap-ssl daemon"

%preun
if [ "$1" = "0" ]; then
	%service courier-imap stop
	/sbin/chkconfig --del courier-imap
fi

if [ "$1" = "0" ]; then
	%service courier-imap-ssl stop
	/sbin/chkconfig --del courier-imap-ssl
fi


%triggerin -- %{name} < 3.0.5
if [ -f /var/lib/openssl/certs/imapd.pem ]; then
	echo
	echo imapd.pem has been moved automatically to %{_certsdir}
	echo
	mv -f /var/lib/openssl/certs/imapd.pem %{_certsdir}
fi
if [ -f /etc/sysconfig/courier-imap ]; then
	. /etc/sysconfig/courier-imap
	for opt in `grep ^[^#] /etc/sysconfig/courier-imap |grep -v TLS_CERTFILE |grep -v MAILDIR |grep -v COURIERTLS |cut -d= -f1`;
	do
		eval opt2=\$$opt
		sed -i s/^$opt=.*/"$opt=\"$opt2\""/ %{_sysconfdir}/imapd
		sed -i s/^$opt=.*/"$opt=\"$opt2\""/ %{_sysconfdir}/imapd-ssl
	done
	sed -i s/^SSLADDRESS=.*/"SSLADDRESS=$ADDRESS_SSL"/ %{_sysconfdir}/imapd-ssl
	sed -i s/^SSLPORT=.*/"SSLPORT=$PORTS_SSL"/ %{_sysconfdir}/imapd-ssl
	sed -i s!^MAILDIRPATH=.*!"MAILDIRPATH=\"$MAILDIR\""! %{_sysconfdir}/imapd-ssl
	sed -i s!^MAILDIRPATH=.*!"MAILDIRPATH=\"$MAILDIR\""! %{_sysconfdir}/imapd
	echo
	echo IMAPD config file has been rewriten to %{_sysconfdir}/imapd,imapd-ssl
	echo please look at them
	echo
fi
%service -q courier-imap restart

%triggerin -- %{name} < 3.0.6
. %{_sysconfdir}/imapd-ssl
if [ $TLS_CACHEFILE = "/var/couriersslcache" ]; then
	sed -i s/^TLS_CACHEFILE=.*/"TLS_CACHEFILE=\/var\/spool\/courier-imap\/couriersslcache"/ %{_sysconfdir}/imapd-ssl
fi

%triggerin -n %{name}-common -- %{name}-userdb
echo
echo courier-imap-userdb is obsolete
echo install courier-authlib-userdb package
echo

%triggerin -n %{name}-common -- %{name}-common < 3.0.5
/sbin/chkconfig --del authdaemon
if [ -f /var/lock/subsys/authdaemon ]; then
	kill `cat /var/lib/authdaemon/pid`
	rm -f /var/lock/subsys/authdaemon
fi
if [ -f /etc/sysconfig/authdaemon ]; then
	. /etc/sysconfig/authdaemon
	sed -i s/^version.*/version=authdaemond.$METHOD/ %{_sysconfdir}/authdaemonrc
fi
echo
echo Changes to version 3.0.5 :
echo - config files has been splited and moved to %{_sysconfdir}
echo - certificates directory has changed to %{_certsdir}
echo

%post pop3
/sbin/chkconfig --add courier-pop3
/sbin/chkconfig --add courier-pop3-ssl
/sbin/chkconfig --del courier-imap-pop3 >/dev/null 2>&1 || :
if [ -f /var/lock/subsys/courier-imap-pop3 ]; then
	/sbin/service courier-imap-pop3 stop >&2
	/sbin/service courier-pop3 start >&2
else
	%service courier-pop3 restart "courier-pop3 daemon"
fi
%service courier-pop3-ssl restart "courier-pop3-ssl daemon"

%preun pop3
if [ "$1" = "0" ]; then
	%service courier-pop3 stop
	/sbin/chkconfig --del courier-pop3
	%service courier-pop3-ssl stop
	/sbin/chkconfig --del courier-pop3-ssl
fi

%triggerin -n %{name}-pop3 -- %{name}-pop3 < 3.0.5
if [ -f /var/lib/openssl/certs/pop3d.pem ]; then
	echo
	echo pop3d.pem has been moved automatically to %{_certsdir}
	echo
	mv -f /var/lib/openssl/certs/pop3d.pem %{_certsdir}
fi
if [ -f /etc/sysconfig/courier-pop3 ]; then
	. /etc/sysconfig/courier-pop3
	for opt in `grep ^[^#] /etc/sysconfig/courier-pop3 |grep -v TLS_CERTFILE |grep -v MAILDIR |grep -v COURIERTLS |cut -d= -f1`;
	do
		eval opt2=\$$opt
		sed -i s/^$opt=.*/"$opt=\"$opt2\""/ %{_sysconfdir}/pop3d
		sed -i s/^$opt=.*/"$opt=\"$opt2\""/ %{_sysconfdir}/pop3d-ssl
	done
	sed -i s!^MAILDIRPATH=.*!"MAILDIRPATH=\"$MAILDIR\""! %{_sysconfdir}/pop3d-ssl
	sed -i s!^MAILDIRPATH=.*!"MAILDIRPATH=\"$MAILDIR\""! %{_sysconfdir}/pop3d
	echo
	echo POP3D config file has been rewriten to %{_sysconfdir}/{pop3d,pop3d-ssl}
	echo please look at them
	echo
fi
%service courier-pop3 restart

%triggerin -n %{name}-pop3 -- %{name}-pop3 < 3.0.6
. %{_sysconfdir}/pop3d-ssl
if [ $TLS_CACHEFILE = "/var/couriersslcache" ]; then
	sed -i s/^TLS_CACHEFILE=.*/"TLS_CACHEFILE=\/var\/spool\/courier-imap\/couriersslcache"/ %{_sysconfdir}/pop3d-ssl
fi

%files
%defattr(644,root,root,755)
%doc maildir/README.sharedfolders.txt imap/README.proxy tcpd/README.couriertls
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/imap
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.imap
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/imapd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/imapd-ssl
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/imapd.cnf
%attr(754,root,root) /etc/rc.d/init.d/courier-imap
%attr(754,root,root) /etc/rc.d/init.d/courier-imap-ssl
%attr(755,daemon,daemon) %dir %{_sysconfdir}/shared
%attr(755,daemon,daemon) %dir %{_sysconfdir}/shared.tmp
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/shared/index
%attr(755,root,root) %{_bindir}/imapd
%attr(755,root,root) %{_bindir}/maildiracl
%attr(755,root,root) %{_bindir}/maildirkw
%attr(755,root,root) %{_sbindir}/imaplogin
%attr(755,root,root) %{_sbindir}/mkimapdcert
%attr(755,root,root) %{_sbindir}/sharedindexinstall
%attr(755,root,root) %{_sbindir}/sharedindexsplit
%attr(755,root,root) %{_libexecdir}/imapd.rc
%attr(755,root,root) %{_libexecdir}/imapd-ssl.rc
%{_mandir}/man8/imapd*
%{_mandir}/man1/maildiracl.1*
%{_mandir}/man1/maildirkw.1*

%files common
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog imap/BUGS INSTALL README*
%attr(751,root,root) %dir %{_sysconfdir}
%attr(750,root,root) %dir %{_certsdir}
%attr(770,daemon,daemon) %dir %{_localstatedir}
%dir %{_libexecdir}
%{_sysconfdir}/quotawarnmsg.example
%attr(755,root,root) %{_bindir}/couriertls
%attr(755,root,root) %{_libexecdir}/couriertcpd
%{_mandir}/man1/couriert*
%{_mandir}/man8/couriert*
%{_mandir}/man8/mk*

%files deliverquota
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/deliverquota
%{_mandir}/man8/deliverquota*

%files maildirmake
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/maildirmake
%{_mandir}/man1/maildirmake*

%files pop3
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/pop3
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.pop3
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pop3d
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pop3d-ssl
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pop3d.cnf
%attr(754,root,root) /etc/rc.d/init.d/courier-pop3
%attr(754,root,root) /etc/rc.d/init.d/courier-pop3-ssl
%attr(755,root,root) %{_bindir}/pop3d
%attr(755,root,root) %{_sbindir}/mkpop3dcert
%attr(755,root,root) %{_sbindir}/pop3login
%attr(755,root,root) %{_libexecdir}/pop3d.rc
%attr(755,root,root) %{_libexecdir}/pop3d-ssl.rc
%{_mandir}/man8/courierpop*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: courier-imap.spec,v $
Revision 1.195  2012/06/18 12:00:22  glen
- FAM (gamin in th) BR deps and allow turning it off

Revision 1.194  2012/04/03 12:39:04  hawk
- updated to 4.10.0

Revision 1.193  2011/07/20 20:27:31  gotar
- upgraded to 4.9.3

Revision 1.192  2011/02/05 11:33:28  zbyniu
- up to 4.8.1

Revision 1.191  2010/11/24 10:11:47  hawk
- release 2

Revision 1.190  2010/09/02 20:39:48  glen
- man pages todo

Revision 1.189  2010/06/04 12:33:53  glen
- up to 4.8.0, fixes LP#589642 for me

Revision 1.188  2010/05/14 22:23:17  sparky
- BR: gdbm-devel, gnet-devel, libidn-devel, pkgconfig

Revision 1.187  2010/04/20 13:12:22  baggins
- rel 2

Revision 1.186  2010/01/03 22:56:37  baggins
- 4.7.0

Revision 1.185  2009/09/25 12:03:11  qwiat
- update to 4.6

Revision 1.184  2009/05/24 10:31:54  amateja
- updated to 4.5.0
- removed obsolete BR: fam-devel

Revision 1.183  2009/04/08 22:37:45  baggins
- rel 3
- fix BR

Revision 1.182  2009/04/08 22:31:02  baggins
- rel 2

Revision 1.181  2009/03/15 19:02:33  hawk
- make -j1 is required or it will fail to build, release 1

Revision 1.180  2008/10/26 11:17:41  gotar
- more Networking/Daemons/POP3 packages (there's no Networking/Daemons/IMAP
  for cyrus-imapd anyway)

Revision 1.179  2008/10/08 07:54:52  dzeus
- up to 4.4.1, NFY

Revision 1.178  2008/06/17 17:25:11  arekm
- rel 2

Revision 1.177  2008-05-29 17:39:38  hawk
- updated to 4.3.1

Revision 1.176  2008-01-24 16:47:27  qboosh
- BR: libtool

Revision 1.175  2008-01-23 21:14:28  glen
- rel 2

Revision 1.174  2008-01-19 19:07:10  hawk
- updated to 4.3.0

Revision 1.173  2007-09-21 08:58:51  dzeus
- rel. 2 rebuild with db4.6, STBR

Revision 1.172  2007/03/21 08:15:42  arekm
- rel 1

Revision 1.171  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.170  2007/02/12 00:48:42  baggins
- converted to UTF-8

Revision 1.169  2007/01/08 13:55:10  aflinta
 - up to 4.1.2
 - untested

Revision 1.168  2006/12/23 12:40:19  arekm
- rel 3; fix db linking

Revision 1.167  2006/07/25 11:05:52  glen
- pass sendmail path; rel 3

Revision 1.166  2006/07/11 15:39:10  glen
- todo updated

Revision 1.165  2006/07/03 19:53:28  blues
- TODO added

Revision 1.164  2006/06/02 13:17:31  glen
- package empty shared/index

Revision 1.163  2006/06/02 12:08:01  glen
- drop makedat, available from courier-authlib; rel 2

Revision 1.162  2006/06/01 22:51:03  glen
- /etc/courier-imap should be accessible for imapd for shared folders

Revision 1.161  2006/06/01 21:41:09  glen
- 4.1.1

Revision 1.160  2006/05/21 16:16:27  glen
- rel 3

Revision 1.159  2006/03/23 10:18:59  glen
- use text form of sharedfolders readme

Revision 1.158  2006/03/22 12:22:05  glen
- rel 1

Revision 1.157  2006/02/24 15:20:04  glen
- use %service

Revision 1.156  2006/02/07 12:00:51  kosmo
- allow top level folders (as bcond)

Revision 1.155  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.154  2005/10/10 15:39:36  glen
- add more doc (README.proxy, README.couriertls)
- one jobserver for install

Revision 1.153  2005/10/04 16:19:41  glen
- pure requires chkconfig, proper courier-authlib dep

Revision 1.152  2005/10/04 15:38:42  glen
- LDFLAGS hack to confuse adapter
- adapterized
- do not move source files in %install -- breaks --short-circuit!

Revision 1.151  2005/09/17 16:39:13  paszczus
- updated to 4.0.5

Revision 1.150  2005/09/01 15:46:54  andree
- BR: courier-authlib-devel >= 0.57

Revision 1.149  2005/09/01 14:47:59  arekm
- rel 0.1; new scripts need testing; pldized init scripts

Revision 1.148  2005/09/01 14:06:03  andree
- updated to 4.0.4
- remove -static from Makefile.am

Revision 1.147  2005/06/06 22:53:25  paszczus
- updated to 4.0.3
- STBR

Revision 1.146  2005/05/12 13:09:39  baggins
- release 3
- req pam 0.79

Revision 1.145  2005/04/11 18:45:09  andree
- requires(pre): courier-authlib for courier-imap-common to force trigger
  even if -imap, -pop3 isn't installed
- moved userdb trigger to -common package
- rel. 2 STBR

Revision 1.144  2005/04/09 22:57:52  andree
- added trigger for userdb; adapterized
- rel. 1

Revision 1.143  2005/03/05 18:54:46  andree
- merged from DEVEL
- updated TODO

Revision 1.142  2005/03/04 16:52:33  paszczus
- reverted

Revision 1.138  2005/02/12 19:50:02  arekm
- rel ++

Revision 1.137  2004/12/24 00:08:11  andree
- BR: fam-devel; rel. 3

Revision 1.136.2.4  2005/03/05 15:40:56  andree
- use db instead of gdbm, updated URL;
- BR: courier-authlib-devel, fam-devel
- rel. 0.5

Revision 1.136.2.3  2005/03/04 14:40:53  andree
- removed obsolete -build.patch

Revision 1.136.2.2  2005/03/04 12:55:17  andree
- updated to 4.0.2; read TODO before edit

Revision 1.136.2.1  2004/12/15 12:31:14  andree
- updated to 4.0.0; TODO
- removed userdb, authldap, authmysql, authpgsql packages
- added -build.patch - configure problems
- %files, %install fixes

Revision 1.136  2004/11/10 13:47:03  paladine
- cosmetics

Revision 1.135  2004/11/05 14:05:34  andree
- removed unnecessary requires; rel. 2

Revision 1.134  2004/10/20 10:11:47  qboosh
- simplified configure (localstatedir,libexecdir are passed in macro)
- cosmetics in message

Revision 1.133  2004/09/22 21:07:47  andree
- updated to 3.0.8

Revision 1.132  2004/08/03 21:31:23  andree
- perm fixes; rel. 2

Revision 1.131  2004/08/01 17:28:05  andree
- updated to 3.0.7; BR: sed >= 4.0

Revision 1.130  2004/07/31 21:11:02  andree
- cleanups

Revision 1.129  2004/07/21 16:29:32  andree
- trigger fixes for maildir

Revision 1.128  2004/07/20 12:55:55  andree
- define _localstatedir to /var/spool/courier-imap
- add trigger to change TLS_CACHEFILE to right location
- updated to 3.0.6; %files fixes; rel. 1

Revision 1.127  2004/07/16 22:11:15  andree
- fix trigger; rel. 2

Revision 1.126  2004/07/10 21:28:37  andree
- triggers fixes (cosmetic, attr, typo)

Revision 1.125  2004/07/10 15:47:58  andree
- triggers fixes; seems ready - rel. 1

Revision 1.124  2004/07/09 22:40:40  andree
- add triggers for configs; cleanups
- rel. 0.9 - tests needed

Revision 1.123  2004/07/08 21:16:03  andree
- add maildir.patch - Maildir -> Mail/Maildir
- set YES to start imapd, pop3d; trigger fixes
- %files fixes; rel. 0.5

Revision 1.122  2004/07/08 17:47:19  andree
- libexecdir=/usr/%{_lib}...
- add dirs.patch - rewrite dirs with configure
- add certsdir.patch - change cert dir to %{_certsdir}
- summary, description fixes; triggers for certs

Revision 1.121  2004/07/08 13:50:21  andree
- post, preun fixes; cleanups

Revision 1.120  2004/07/07 21:31:59  andree
- remove config from sysconfig (use original config)
- use original start scripts
- TODO rel. 0.1

Revision 1.119  2004/07/07 12:42:29  emes
- rel up md5

Revision 1.118  2004/07/07 12:42:07  emes
- rel up.

Revision 1.117  2004/05/22 10:18:00  twittner
- typo

Revision 1.116  2004/05/22 10:16:07  twittner
- /usr/lib/courier-imap/couriertcpd from courier-imap-common subpackage
  requires /bin/ps - added R: procps to courier-imap-common subpackage.
- rel. 5

Revision 1.115  2004/05/19 21:59:20  ankry
- cosmetics

Revision 1.114  2004/05/19 21:42:21  ankry
- rel. 2 for Ra, rel. 3 for Ac

Revision 1.113  2004/05/19 21:36:45  jack
- Rel -1 for Ra, -2 for Ac

Revision 1.112  2004/05/19 10:47:29  twittner
- auth{ldap,mysql,pgsql}rc may contain passwords and shouldn't be
  worldreadable.

Revision 1.111  2004/05/18 11:39:08  twittner
- added INSTALL to %doc - it contains configuration hints.
- added BR: procps to avoid an configure error.
- more strict Build/Pre/Requires

Revision 1.110  2004/04/17 10:47:35  andree
- added missing dir %{_sysconfdir}/shared

Revision 1.109  2004/04/02 00:55:20  andree
- updated to 3.0.3

Revision 1.108  2004/03/28 17:09:32  andree
- rel.2 (to rebuild with init fixes)

Revision 1.107  2004/03/23 23:47:22  andree
- updated to 3.0.2
- remove unpackaged files

Revision 1.106  2004/03/19 23:46:23  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.105  2004/02/26 16:53:26  andree
- version -> version-release

Revision 1.104  2004/02/25 00:24:39  andree
- fix post, preun sections, rel. 4

Revision 1.103  2004/02/05 09:47:30  jajcus
- Release: 3
- don't check for res_query() - this function is never used in the sources (-imap-no_res_query.patch) - fixes building
  with ldap enabled

Revision 1.102  2004/02/05 09:11:34  jajcus
- Release: 2
- config.sub refreshed for AMD64

Revision 1.101  2003/12/20 22:23:47  twittner
- fixed shell syntax

Revision 1.100  2003/12/18 14:02:46  twittner
- reverted last change - I'm too fast. There is still problem
  on (de)instalation with /etc/sysconfig/authdaemon and courier-imap-pop3
  service (old name).

Revision 1.99  2003/12/18 13:33:41  twittner
- fixed: s/courier-imap-pop3/courier-pop3/

Revision 1.98  2003/12/01 12:09:43  andree
- updated to 2.2.1

Revision 1.97  2003/11/26 12:36:25  siefca
- myownquery patch removed since it's incorporated into Courier sources

Revision 1.96  2003/11/03 23:23:09  andree
- updated to 2.2.0

Revision 1.95  2003/10/20 09:20:27  ankry
- really added couriertls manpage

Revision 1.94  2003/10/04 23:06:16  pius
- fixed bcond

Revision 1.93  2003/10/04 23:03:37  pius
- updated to 2.1.2
- new bcond style

Revision 1.92  2003/09/30 20:18:20  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.91  2003/09/26 14:22:27  baggins
- release 2

Revision 1.90  2003/09/26 14:20:24  baggins
- req pam >= 0.77.3

Revision 1.89  2003/09/13 13:32:14  blues
- cosmetics

Revision 1.88  2003/09/11 14:34:30  ankry
- update to 2.1.1 by Andree

Revision 1.87  2003/08/06 16:49:55  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.86  2003/07/07 04:23:52  blues
- many small fixes, inspired by kloczek

Revision 1.85  2003/07/06 19:43:48  luzik
- updated to 2.0.0
  (build, work, but some errors in init script)

Revision 1.84  2003/05/26 16:24:49  malekith
- massive attack: adding Source-md5

Revision 1.83  2003/05/25 05:46:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.82  2003/05/22 20:04:22  misiek
- fix configure call

Revision 1.81  2003/05/08 12:45:35  djrzulf
- changed to _without_pgsql (more universal),

Revision 1.80  2003/05/08 12:07:56  djrzulf
- bcond is called _without_postgresql not _withot_pgsql,

Revision 1.79  2003/02/13 14:02:02  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.78  2003/02/10 11:41:21  qboosh
- working Source0 URL, Requires() for chkconfig

Revision 1.77  2003/02/09 23:27:14  undefine
- upgrade to 1.7.0
- siefca's patch commented - it's still needed? it wasn't included with
  courier-imap?

Revision 1.76  2003/01/19 23:16:39  zytek
- rel++ - changed /e/s/courier-imap Maildir directory

Revision 1.75  2002/10/14 19:08:13  misto
- fixed broken man links (auth{...}.8 -> authlib.7)
- release 5

Revision 1.74  2002/10/14 12:44:11  siefca
- myownquery.patch - new release (major updates at triggering functions)
- README for myownquery updated
- name change from Courier IMAP - POP3 into Courier POP3 in initscripts
- authdaemon automaticaly goes up if IMAP/POP3 is started -- initscripts
- release 5

Revision 1.73  2002/09/28 20:20:57  siefca
- fixed exit code wrapping while authdaemon restart
- changes in courierlogger filename not needed
- release++

Revision 1.72  2002/09/28 17:04:19  siefca
- back to stable version (snapshot seems to have broken md5crypt)
- patchfix adapted to sources
- release+=2
- waiting for kloczek's workaround on courierlogger filename

Revision 1.71  2002/09/28 15:35:57  siefca
- preparing for new courier-imap version (current snapshot 1.5.3.20020921)
- myownquery feature updated - new release, adapted for new sources
- added ChangeLog to documentation
- init.d scripts changes
  - logger is now courierlogger
  - restart of authdaemon causes each related service to be restarted

Revision 1.70  2002/08/07 11:57:10  qboosh
- courier-imap{,-pop3} Conflicts: cyrus-imapd; release 6

Revision 1.69  2002/07/17 18:32:37  undefine
- add Conflicts:     solid-pop3d, release 5

Revision 1.68  2002/06/10 07:51:00  qboosh
- removed COPYING from doc (known - GPL)

Revision 1.67  2002/06/09 13:58:02  qboosh
- base Conflicts: imap (not Obsoletes - different mbox formats!)
- pop3 Conflicts: imap-pop3, tpop3d (the same)
- missing pl summaries
- new %doc
- release 4

Revision 1.66  2002/04/25 16:06:42  arturs
- fixed a small typo

Revision 1.65  2002/04/11 14:41:16  qboosh
- removed authpgsql.8 from -common (present in -authpgsql); release 3

Revision 1.64  2002/02/22 23:28:45  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.63  2002/02/18 16:40:10  gotar
- added/fixed polish %descriptions.

Revision 1.62  2002/02/13 23:45:10  siefca
- courier-imap-myownquery-fix.patch added
  - added trigger clauses support
  - added configurable separation/concatenation symbols for local_part/domain
  - added '$(username)' substitution variable
  - added documentation for system administrators :>
  - allowed empty domain names in queries
  - fixed an example configuration file (authmysqlrc)

Revision 1.61  2002/02/13 00:22:36  saq
- C-x C-s after adapterization :)

Revision 1.60  2002/02/13 00:21:14  saq
- up to 1.4.2 (bugfixes)
- remove myownquery.patch, it's included now
- changed myownquery's README filename (like in the sources)
- adapterized
- STBR

Revision 1.59  2002/01/18 02:12:35  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.58  2002/01/08 21:03:32  siefca
- fixed substitution variables' value cache in myownquery.patch

Revision 1.57  2002/01/08 13:31:17  siefca
- BuldRequires: kernel-headers due to lack of liblock

Revision 1.56  2002/01/08 13:18:47  siefca
- added conditional(mysql) BuildRequires: zlib-devel
- added Requires: zlib in authmysql subpackage

Revision 1.55  2002/01/07 23:40:12  siefca
- version++
- removed unneeded man2html from spec
- fixed manual sections numeration in spec
- added couriertcpd.8 in spec
- removed unused variable from myownquery.patch

Revision 1.54  2002/01/04 10:09:22  ankry
- there's no version 1.3.14
- version 1.4.0 release 1

Revision 1.53  2002/01/04 01:32:12  siefca
- fixed typo in myownquery.patch's documentation
- fixed an example configuration
- BTW, patch seems to be stable now

Revision 1.52  2001/12/30 02:15:52  siefca
- myownquery.patch simplified according to suggestions from Sam Varshavchik
  - building and counting modes removed
  - counting plugin function rewritten
  - parse_core() modified

Revision 1.51  2001/12/28 00:57:29  siefca
- patch name change
- added courier-imap-myownquery.patch URI in spec
- fixed authdaemon %post /etc/rc.d/init.d/authdaemon s/stop/restart/
- added documentation path authlib/README* in spec
- courier-imap-myownquery.patch seriously modified again
  - fixed get_localpart(), get_domain() and validate_password() functions
  - input dangerous characters are now ommited, NOT replaced by whitespaces
  - added definitions for the symbols marking substitution variables
  - added developer notes documentation
  - code reviewed

Revision 1.50  2001/12/27 02:58:49  siefca
- modified courier-imap-authmysql.patch
  - security fixes around local part and domain validating functions
  - substitution variables parser rewritten from scratch
  - function pointers instead of messy stuff around parsing subroutines
  - added password string validators
  - fixed typo in an example config

Revision 1.49  2001/12/20 18:30:26  bonkey
- s/mysql-libs/pgsql-libs/ in configure's postgres option

Revision 1.48  2001/12/14 17:42:26  bonkey
- release: 7
- added implicit declaration of postgresql-includes and libs in configure

Revision 1.47  2001/12/11 19:07:07  bonkey
- release: 6
- set authdaemon-pgsql package apart with conditional build and buildrequires
- STB

Revision 1.46  2001/12/10 02:54:10  siefca
- added patch which makes possible to have own database structure

Revision 1.45  2001/12/07 21:12:45  mkochano
- /etc/pam.d/* marked with %config(noreplace).
- Release++ (I'm too lazy to write here new release number for each
  spec. Sorry).

Revision 1.44  2001/11/29 20:38:37  bonkey
- added BuildRequires: openssl-devel

Revision 1.43  2001/11/29 15:59:31  bonkey
- release: 3
- changes in startup scripts and sysconfig

Revision 1.42  2001/11/19 10:18:59  bonkey
- release: 2
- added --enable-unicode to %configure
- added --with-authchangepwdir=/var/tmp (because by default configure puts
  /var/tmp/dev/null)
- added man for couriertls

Revision 1.41  2001/11/18 19:59:34  kloczek
- updated to 1.3.12.

Revision 1.40  2001/11/06 19:32:06  bonkey
- cleaned output from adapter.awk at the beginning of the spec

Revision 1.39  2001/11/06 17:26:58  bonkey
- release: 3
- deliveryquota, maildirmake and userdb packages
  extracted from common pkg
- maildirmake conflicts with qmail-maildirmake
- spec adapterized

Revision 1.38  2001/09/24 10:32:06  qboosh
- -common Prereq: /sbin/chkconfig (other subpackages Prereq: -common)

Revision 1.37  2001/09/17 16:45:34  qboosh
- release 2: changed -common deps to Prereq (needed by init scripts)

Revision 1.36  2001/09/14 01:32:53  kloczek
- updated to 1.3.11.

Revision 1.35  2001/09/09 18:24:22  qboosh
- fixed %preun pop3

Revision 1.34  2001/09/09 15:50:34  qboosh
- fixed sysconfig paths in *auth* post/preun scripts
- s/0\.0\.0\.0/0/ in sysconfig/* (0 works w/o IPv6 in kernel, 0.0.0.0 doesn't)
- release 2

Revision 1.33  2001/08/24 04:51:44  kloczek
- updated to 1.3.10.

Revision 1.32  2001/08/14 20:39:49  qboosh
- separated authdaemond.{ldap,mysql} into subpackages (they require more libs)
- in %post/%preun authdaemon is restarted depeding on current METHOD setting
- added %config(noreplace) %verify(not size mtime md5) to auth* config files
- some manuals moved to appropriate subpackages
- release 2

Revision 1.31  2001/08/11 15:00:21  qboosh
- 1.3.9 needs one more mysql configure option
- BuildRequires: gdbm-devel, libstdc++-devel (C++ is only for *test?)

Revision 1.30  2001/08/10 14:46:13  kloczek
- cosmetics.

Revision 1.29  2001/08/10 12:24:57  qboosh
- 1.3.9
- added /var/lib/authdaemon direcotory to common subpackage

Revision 1.28  2001/08/07 22:13:18  qboosh
- fixed mysql detection problem (--with-mysql-libs must be specified)
- added _without_ldap and _without_mysql

Revision 1.27  2001/07/26 05:42:05  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.25  2001/07/19 08:33:17  waszi
- it should now build
- mysql is not detected by configure script... (i need config.log to check this)

Revision 1.24  2001/07/17 22:09:50  newrom
- Changed Source0: location

Revision 1.23  2001/07/11 22:33:13  waszi
- updated to 1.3.8.2

Revision 1.22  2001/05/27 17:31:25  kloczek
- fix in %install.

Revision 1.21  2001/02/13 21:55:36  kloczek
- release 2: added rc-scripts to Prereq for all subpackages.

Revision 1.20  2001/01/29 17:10:52  kloczek
- spec adapterized,
- removed COPYING from %doc (License is GPL).

Revision 1.19  2001/01/29 15:52:31  waszi
- updated to 1.3.2
- partially rewrited
- separated to 3 packages

Revision 1.18  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.17  2000/06/09 07:54:40  kloczek
- more %{__make} macros.

Revision 1.16  2000/06/09 07:22:48  kloczek
- added using %{__make} macro.

Revision 1.15  2000/05/02 21:21:47  baggins
- fixed version, minor cleanup

Revision 1.14  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.13  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.12  2000/03/28 13:09:10  baggins
- release ++
- updated init script to rc-scripts 0.2.0

Revision 1.11  2000/03/28 11:10:59  arturs
- typo

Revision 1.10  2000/03/27 13:25:08  arturs
- added %description -l pl

Revision 1.9  2000/02/02 11:05:19  waszi
- small fixes in permissions for pam.d or init.d

Revision 1.8  1999/12/30 07:03:22  kloczek
- adapter(ized) and cosmetics.

Revision 1.7  1999/12/30 05:45:41  wiget
- 0.22

Revision 1.6  1999/12/29 10:14:31  waszi
- small fixes

Revision 1.5  1999/12/28 01:43:03  kloczek
- stop courier-imap in %preun only if runed.

Revision 1.4  1999/12/27 22:52:03  wiget
- version chcnged to 0.21

Revision 1.3  1999/11/29 11:21:30  waszi
- partially rewrited

Revision 1.2  1999/11/16 02:29:46  kloczek
- adapter(ed),
- removed Packager,
- added URL and full Source URL.
